#!/bin/bash

echo -e "${GREEN}Installing core packages...${DEFAULT}"

# Installation of core packages
check_installation "sudo pacman -S --noconfirm --needed" "base-devel doxygen jdk-openjdk nodejs npm cargo curl wget unzip"

# Installation of yay
if ! command -v yay &> /dev/null; then
    echo -e "${BLUE}Installing Yay...${DEFAULT}"
    git clone https://aur.archlinux.org/yay.git ~/.config/yay
    (cd ~/.config/yay && makepkg -si --noconfirm)
    rm -rf ~/.config/yay
fi

# Verification of yay installation
if ! command -v yay &> /dev/null; then
    echo -e "${RED}[ERROR] Yay installation failed${DEFAULT}" | tee -a "$LOG"
    exit 1
fi

echo -e "${GREEN}Core installation completed${DEFAULT}"
